<!--
title: Neovim Setup
-->

Lots of information on nvim can be found for instance here:

* https://programmingpercy.tech/blog/learn-how-to-use-neovim-as-ide/
* https://github.com/hrsh7th/
* https://github.com/wbthomason/packer.nvim
* https://docs.rockylinux.org/books/nvchad/nvchad_ui/nvimtree/

## Installation of Neovim
On Debian install neovim from the sources, the packages are mostly a bit aged.
```shell
git clone https://github.com/neovim/neovim
sudo apt install ninja-build gettext cmake unzip curl
make CMAKE_BUILD_TYPE=Release
sudo make install
```
On Windows install from binary or using installer, on MacOS use `brew`.

Debian packages can be found here: https://github.com/neovim/neovim-releases/releases


## Configuration
Clone the packer repository:
```shell
git clone --depth 1 https://github.com/wbthomason/packer.nvim ~/.local/share/nvim/site/pack/packer/start/packer.nvim
```
Clone the local configuration repo:
```shell
git clone git@gitea.hottis.de:wn/my-nvim-config.git ~/.config/nvim
```
At the first start of nvim a lot of error messages will be shown. Ignore them and run `:PackerInstall`. At the next start everything should be fine.

The file `~/.config/nvim/init.lua` contains both plugins to be loaded and regular settings for nvim. The directory `~/.config/nvim/lua` contains configuration for individual plugins.

